SystemOrganization addCategory: #ConfigurationOfJet!

Object subclass: #ConfigurationOfJet
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfJet'!

!ConfigurationOfJet commentStamp: 'VeronicaUquillas 4/3/2012 16:14' prior: 0!
Loading:

	(ConfigurationOfJet project version: '1.3') load.
	
Example:

"Importing Monticello"
RGHistoryRepository importMonticello.

"Calculating deltas and dependencies"
deltaStream := (JETSnapshotDeltaStream generateDeltaHistoryOf: RGHistoryRepository current) calculateDependencies.

"Browsing deltas and  dependencies"
JETDeltaStreamDashboard open: deltaStream.!

!ConfigurationOfJet class methodsFor: 'private' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfJet class methodsFor: 'metacello tool support' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfJet class methodsFor: 'loading' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
loadDefault
	(self project version: 'default') load! !

!ConfigurationOfJet class methodsFor: 'loading' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
loadVersion12
	(self project version: '1.2') load! !

!ConfigurationOfJet class methodsFor: 'loading' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
loadVersion13
	(self project version: '1.3') load! !

!ConfigurationOfJet class methodsFor: 'loading' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
loadVersion14
	(self project version: '1.4') load! !

!ConfigurationOfJet class methodsFor: 'accessing' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
project

	^self new project! !

!ConfigurationOfJet methodsFor: 'baselines' stamp: 'VeronicaUquillas 3/12/2012 20:23'!
baseline13: spec 
	<version: '1.3-baseline'>
	
	spec for: #common do: [
		spec author: 'VeronicaUquillas'.
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/JET'.		
		spec 
			package: 'Jet-Model' with: [ spec requires: #('RingHistory') ];
			package: 'Jet-Browsers' with: [ spec requires: #('Jet-Model') ].
			
		spec
			project: 'RingHistory' with: [
				spec
					className: 'ConfigurationOfRing';
					version: '1.3';
					loads: #('HistoryBrowsers');
					file: 'ConfigurationOfRing';										
					repository: 'http://www.squeaksource.com/Ring' ].		
		
	]! !

!ConfigurationOfJet methodsFor: 'baselines' stamp: 'VeronicaUquillas 8/2/2012 16:09'!
baseline14: spec 
	<version: '1.4-baseline'>
	
	spec for: #common do: [
		spec author: 'VeronicaUquillas'.
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/JET'.		
		spec 
			package: 'Jet-Model' with: [ spec requires: #('RingHistory') ];
			package: 'Jet-Browsers' with: [ spec requires: #('Jet-Model') ].
			
		spec
			project: 'RingHistory' with: [
				spec
					className: 'ConfigurationOfRing';
					version: '1.4';
					loads: #('HistoryBrowsers');
					file: 'ConfigurationOfRing';										
					repository: 'http://www.squeaksource.com/Ring' ].		
		
	]! !

!ConfigurationOfJet methodsFor: 'baselines' stamp: 'MartinDiasLoaginJet 1/23/2013 18:37'!
baseline15: spec 
	<version: '1.5-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://ss3.gemstone.com/ss/JET'.
		spec 
			package: 'Ring-GUI-Core' with: [
				spec requires: #('MinimalGlamour').
				spec postLoadDoIt: #postLoadInitializeIcons ];
			package: 'Ring-History-Browsers' with: [
				spec requires: #('RingHistory' 'Ring-GUI-Core')];
			package: 'Jet-Model' with: [ 
				spec requires: #('Ring-History-Browsers') ];
			package: 'Jet-Browsers' with: [ 
				spec requires: #('Jet-Model') ].

		spec
			project: 'MinimalGlamour' with: [
				spec
					className: 'ConfigurationOfGlamour';
					version: 'default';
					loads: #('Core' 'Morphic' 'Glamour-Mondrian-Presentations');
					file: 'ConfigurationOfGlamour';										
					repository: 'http://www.squeaksource.com/Glamour' ].	

		spec
			project: 'RingHistory' with: [
				spec
					className: 'ConfigurationOfRing';
					version: '1.4';
					loads: #('CompleteCore' 'FileBasedClasses' 'HistoryCore');
					file: 'ConfigurationOfRing';										
					repository: 'http://www.squeaksource.com/Ring' ].		

		]! !

!ConfigurationOfJet methodsFor: 'baselines' stamp: 'VeronicaUquillas 12/19/2011 14:36'!
default: spec 
	<version: 'default'>

	spec for: #common do: [
		spec author: 'VeronicaUquillas'.
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/JET'.
		spec 
			package: 'Jet-Model' with:[
				spec requires: #('RingHistory') ];
			package: 'Jet-Browsers' with: [ spec requires: #('Jet-Model') ].
			
		spec
			project: 'RingHistory' with: [
				spec
					className: 'ConfigurationOfRing';
					version: 'default';
					loads: #('HistoryBrowsers');
					file: 'ConfigurationOfRing';										
					repository: 'http://www.squeaksource.com/Ring' ].		
		
	]! !

!ConfigurationOfJet methodsFor: 'symbolic versions' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: #'notDefined'.
! !

!ConfigurationOfJet methodsFor: 'postloading' stamp: 'MartinDias 1/23/2013 21:27'!
postLoadInitializeIcons

	self flag: #todo. "This initialization corresponds to ConfigurationOfRing"
	RGMenuIcons initialize! !

!ConfigurationOfJet methodsFor: 'accessing' stamp: 'VeronicaUquillas 12/19/2011 14:32'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfJet methodsFor: 'symbolic versions' stamp: 'VeronicaUquillas 3/12/2012 22:15'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: #'notDefined'.
	spec for: #'pharo1.3.x' version: '1.3'.! !

!ConfigurationOfJet methodsFor: 'baselines' stamp: 'VeronicaUquillas 8/9/2012 18:28'!
version13: spec 
	<version: '1.3' imports: #('1.3-baseline')>
	
	spec for: #common do: [
		spec author: 'VeronicaUquillas'.
		spec description: 'Compatible with Pharo 1.3'.
		spec timestamp: '02/08/2012 16:00'.
		spec blessing: #development.
		
		spec project: 'RingHistory' with: '1.3'.
		spec
			package: 'Jet-Model' with:  'Jet-Model-VeronicaUquillas.8';
			package: 'Jet-Browsers' with:  'Jet-Browsers-VeronicaUquillas.7' ]! !

!ConfigurationOfJet methodsFor: 'baselines' stamp: 'VeronicaUquillas 10/12/2012 10:46'!
version14: spec 
	<version: '1.4' imports: #('1.4-baseline')>
	
	spec for: #common do: [
		spec author: 'VeronicaUquillas'.
		spec description: 'Compatible with Pharo 1.4'.
		spec timestamp: '02/08/2012 16:15'.
		spec blessing: #development.
		
		spec project: 'RingHistory' with: '1.4'.
		spec
			package: 'Jet-Model' with:  'Jet-Model-VeronicaUquillas.12';
			package: 'Jet-Browsers' with:  'Jet-Browsers-VeronicaUquillas.9' ]! !
